### Hierarchy

- unknown
  - ProtectedMailboxStorageEntry

## Index

### Constructors

- constructor

### Methods

- clearEntry
- getEntry
- getReceiversPubKeyBytes
- getReceiversPubKeyBytes_asB64
- getReceiversPubKeyBytes_asU8
- hasEntry
- serializeBinary
- setEntry
- setReceiversPubKeyBytes
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new ProtectedMailboxStorageEntry(): ProtectedMailboxStorageEntry

- Inherited from jspb.Message.constructor

  #### Returns ProtectedMailboxStorageEntry

## Methods

### clearEntry

- clearEntry(): ProtectedMailboxStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2596

  #### Returns ProtectedMailboxStorageEntry

### getEntry

- getEntry(): undefined | ProtectedStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2593

  #### Returns undefined | ProtectedStorageEntry

### getReceiversPubKeyBytes

- getReceiversPubKeyBytes(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2598

  #### Returns string | Uint8Array

### getReceiversPubKeyBytes_asB64

- getReceiversPubKeyBytes_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2600

  #### Returns string

### getReceiversPubKeyBytes_asU8

- getReceiversPubKeyBytes_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2599

  #### Returns Uint8Array

### hasEntry

- hasEntry(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2595

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2603

  #### Returns Uint8Array

### setEntry

- setEntry(value?: ProtectedStorageEntry ): ProtectedMailboxStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2594

  #### Parameters

  - ##### Optional value: ProtectedStorageEntry

  #### Returns ProtectedMailboxStorageEntry

### setReceiversPubKeyBytes

- setReceiversPubKeyBytes(value: string | Uint8Array): ProtectedMailboxStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2601

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ProtectedMailboxStorageEntry

### toObject

- toObject(includeInstance?: boolean): ProtectedMailboxStorageEntry . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2604

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns ProtectedMailboxStorageEntry . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): ProtectedMailboxStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2607

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ProtectedMailboxStorageEntry

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ProtectedMailboxStorageEntry, reader: BinaryReader): ProtectedMailboxStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2608

  #### Parameters

  - ##### message: ProtectedMailboxStorageEntry

  - ##### reader: BinaryReader

  #### Returns ProtectedMailboxStorageEntry

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: ProtectedMailboxStorageEntry, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2606

  #### Parameters

  - ##### message: ProtectedMailboxStorageEntry

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: ProtectedMailboxStorageEntry ): ProtectedMailboxStorageEntry . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2605

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ProtectedMailboxStorageEntry

  #### Returns ProtectedMailboxStorageEntry . AsObject

Generated using TypeDoc